org.codehaus.plexus.metadata.gleaner

## Class ComponentGleanerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.metadata.gleaner.ComponentGleanerException

All Implemented Interfaces:
  java.io.Serializable

    public class ComponentGleanerException
    extends java.lang.Exception

Version:
  $Id: ComponentGleanerException.java 7689 2008-08-23 16:09:20Z jvanzyl $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComponentGleanerException(java.lang.String message)`
`ComponentGleanerException(java.lang.String message, java.lang.Throwable cause)`
`ComponentGleanerException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentGleanerException

    public ComponentGleanerException(java.lang.String message)

#### ComponentGleanerException

    public ComponentGleanerException(java.lang.String message,
                             java.lang.Throwable cause)

#### ComponentGleanerException

    public ComponentGleanerException(java.lang.Throwable cause)